Uploaded image for project: 'HPCC'
  1. HPCC
  2. HPCC-18701

No /opt/HPCCSystems/plugins/libpyembed.so exists.

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Not specified
    • Resolution: Invalid
    • Affects Version/s: 6.4.4
    • Fix Version/s: None
    • Component/s: Build process
    • Labels:
      None
    • Environment:
      centos 7, platform 6.4.4-1, plugin hpccsystems-plugin-py3embed-6.4.4-1.x86_64

      Description

      Actual platform is 6.4.4-1 NOT 6.2.22 as stated in "Affects versions" above. Installed plugin hpccsystems-plugin-py3embed-6.4.4-1.x86_64. But, no /opt/HPCCSystems/plugins/pyembed.so. Plus, ran the following python embedded code and got the error I should below:
      <code>
      IMPORT Python;
      string sys_version() := EMBED(Python)
      import sys
      return "%s" % (sys.version)
      ENDEMBED;

      OUTPUT(sys_version());</code>

      <error>
      Compile/Link failed for W20171108-145214 (see '//10.0.0.243/var/lib/HPCCSystems/myeclccserver/eclcc.log' for details)
      (0,0): error C6003: C++ link error: cannot find -lpy2embed</error>

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                tlhumphrey2 Timothy Humphrey
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: